#+TITLE: Ben Roswell :EIPR:privacy:@personal:
#+FILETAGS: :atomic:note:

* Ben Roswell :EIPR:privacy:@personal:
:PROPERTIES:
:CREATED: 38f0f935-c9e0-456d-a5a6-ff5c7a50565c
:SOURCE: /home/user/memex/daily/2011-06-27.org
:END:

:CREATED: [2011-06-27 15:19:06+0200]
:MODIFIED: [2011-06-27 15:38:02+0200]
:IMPORTED: [2023-02-08 19:22:51-0500]

Echo.to Laslo Papp
Ex Canadian Diplomat


* Backlinks
- Source: [[file:/home/user/memex/daily/2011-06-27.org][2011-06-27.org]]
